Bug 194277 - Cannot change to write-only directory
Cannot change to write-only directory
Product: Fedora
Classification: Fedora
Component: mc (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Depends On:
  Show dependency treegraph
Reported: 2006-06-06 15:50 EDT by David Nečas
Modified: 2013-07-02 19:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-06-08 11:15:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Nečas 2006-06-06 15:50:24 EDT
Description of problem:
In FTP filesystem it is not possible to change to a write-only directories
present on some FTP servers.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. run mc
2. select `Ftp link' for either panel
3. enter `upload.sf.net'
4. try to change directory to `incoming'
Actual results:
An error box saying `Cannot change directory' and directory is unchanged.

Expected results:
mc changes to directory `incoming', though it is unable to display the file list
there therefore it displays is as empty.

Additional info:
This is a regression, it used to work in FC3.
Comment 1 Jindrich Novy 2006-06-07 07:18:23 EDT
It seems to be fixed in the rawhide mc, where we have some more recent CVS
snapshot of mc. At least I'm able to chdir to the "incoming" subdirectory with
no errors. I see no files there though.

The FC5 update is comming soon.
Comment 2 David Nečas 2006-06-07 10:00:05 EDT
I can confirm mc-4.6.1a-16 (from devel) fixes it for me.
Comment 3 Fedora Update System 2006-06-07 19:39:07 EDT
mc-4.6.1a-13.FC5 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.